LinuxQMISDK: voiceGetCallFWResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceGetCallFWResp Struct Reference

## Data Fields
getCallFWInfo * | pGetCallFWInfo
WORD * | pFailCause
alphaIDInfo * | pAlphaIDInfo
BYTE * | pCCResType
BYTE * | pCallID
ccSUPSType * | pCCSUPSType
getCallFWExtInfo * | pGetCallFWExtInfo

## Detailed Description

This structure contains Voice Get Call Forwarding Status Response Parameters

Parameters

  pGetCallFWInfo | Pointer to structure of getCallFWInfo (optional) See getCallFWInfo for more information
  pFailCause | Supplementary services failure cause (optional) see qaGobiApiTableVoiceCallEndReasons.h for more information. 0xFFFF,if Not Available
  pAlphaIDInfo | Pointer to structure of alphaIDInfo See alphaIDInfo for more information
  pCCResType | Call Control Result Type (optional) 0x00 - CC_RESULT_TYPE_VOICE - Voice 0x01 - CC_RESULT_TYPE_SUPS - Supplementary service 0x02 - CC_RESULT_TYPE_USSD - Unstructured supplementary service 0xFF - Not Available
  pCallID | Call ID of the voice call that resulted from call control. (optional) It is present when pCCResType is present and is Voice. If zero(0) then invalid.
  pCCSUPSType | Supplementary service data that resulted from call control (optional) Data is present when pCCResultType is present and is other than Voice. See ccSUPSType for more information
  pGetCallFWExtInfo | Pointer to structure of getCallFWExtInfo (optional) See getCallFWExtInfo for more information

Note
  Using NULL for the pointers would make sure that the parameter is not returned or has default value.

## Field Documentation

alphaIDInfo* voiceGetCallFWResp::pAlphaIDInfo

BYTE* voiceGetCallFWResp::pCallID

BYTE* voiceGetCallFWResp::pCCResType

ccSUPSType* voiceGetCallFWResp::pCCSUPSType

WORD* voiceGetCallFWResp::pFailCause

getCallFWExtInfo* voiceGetCallFWResp::pGetCallFWExtInfo

getCallFWInfo* voiceGetCallFWResp::pGetCallFWInfo